/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Andreas Krennmair <ak@synflood.at> wrote this file.  As long as you retain
 * this notice you can do whatever you want with this stuff. If we meet some day, 
 * and you think this stuff is worth it, you can buy me a beer in return.
 *   -- Andreas Krennmair <ak@synflood.at>
 * ----------------------------------------------------------------------------
 */
#ifndef DIETPOPE__H
#define DIETPOPE__H

#include <stdint.h>

#include <buffer.h>


void handle_session(int fd, char ip[4], uint16_t port);
int auth_user(const char *user, const char *pass);
int init_transaction(void);

void print_stat(buffer *);
void print_capa(buffer *);
void list_msg(buffer *, unsigned int);
void list_all(buffer *);
void retr_msg(buffer *, unsigned int);
void dele_msg(buffer *, unsigned int);
void top_msg(buffer *, unsigned int, unsigned int);
void uidl_msg(buffer *, unsigned int);
void uidl_all(buffer *);
void do_reset();
void update_maildrop();

#endif
